Subject: Re: bug#77422: 30.1; New Tramp warnings in recent emacs
From: Michael Albinus <[email-masked]>
To: Nicholas Michalowski <[email-masked]>
Cc: [email-masked]
Date: Wed, 02 Apr 2025 18:43:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Vesion: 30.2

Michael Albinus via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

Hi Nicholas,

>> After recently updating emacs on a Windows 11 machine, I suddenly get
>> a
>> warning from tramp that did not occur in the past.
>>
>> To reproduce you need to configure putty appropriately (steps provided
>> upon request).  Then after running "emacs -Q" type the following
>> command
>> into the scratch buffer:
>> (setq org-agenda-files "/plinkx:YOUR_SSH_SERVER:/PATH/TO/FILE.org")
>>
>> then run a command such as "M-x org-agenda", followed by "a".
>>
>> the following warning will be displayed.
>> "Warning (tramp): Couldn’t find an inline transfer compress command"
>>
>> It pops up in a transient window that must be dismissed by pressing q.
>
> This is an old warning. However, in Tramp 2.7.1 (contained in Emacs
> 30.1), Tramp's warnings are displayed more prominently.
>
> Hmm. Maybe we need a user option, which let Tramp's warnings appear in
> the echo area / message buffer only, as before?

It turns out, that Emacs has already the sufficient machinery. I have
added the following lines to the Tramp manual:

--8<---------------cut here---------------start------------->8---
   TRAMP warnings are displayed in the ‘*Warnings*’ buffer, which pops
up.  If you don't want to see this buffer for every TRAMP warning, set
‘warning-suppress-types’:

     (setq warning-suppress-types '((tramp)))
--8<---------------cut here---------------end--------------->8---

That's it. Pushed to the emacs-30 branch. Closing the bug.

Best regards, Michael.